QGIS Application - Bug report #14890
QGIS fails to highlight topology errors
2016-05-25 03:02 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.14.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22843
Description

When validating the attached polygon, QGIS fails to highlight topology errors. The green cross markers are missing for duplicated nodes.

History

#1 - 2016-05-29 12:04 AM - R. R.

See also #14912

Only consecutive duplicated nodes are highlighted.

#2 - 2016-05-29 12:13 AM - R. R.

- File 14890_2.mp4 added

#3 - 2016-05-29 12:18 AM - R. R.

- File 14890_3.mp4 added

Hmm... it seems that the behaviour of highlighting duplicated nodes is inconsistent (see screencast 14890_3.mp4)

#4 - 2017-05-01 01:05 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and
administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

14890.zip 6.21 KB 2016-05-25 R.R.
14890.mp4 2.15MB 2016-05-25 R.R.
14890_2.mp4 314 KB 2016-05-28 R.R.
14890_3.mp4 549 KB 2016-05-28 R.R.
